project:
  type: website
  resources:
    - thumbs
  output-dir: dist

website:
  title: "Nicole Dresselhaus"
  site-url: https://drezil.de
  description: "Ramblings of a madwoman"
  navbar:
    search: true
    left:
      - href: index.qmd
        text: Home
        icon: house
      - href: About/index.md
        text: About
        icon: file-person
    right:
      - icon: rss
        href: index.xml
  sidebar:
    style: docked
    contents:
      - section: "Serious"
        contents:
          - auto: "Writing"
          - auto: "Coding"
          - auto: "Health"
          - auto: "Uni"
      - text: "---"
      - section: "Fun"
        contents:
          - auto: "Opinions"
          - auto: "Stuff"
      - text: "---"
      - section: "Info"
        contents:
          - auto: "About"
  reader-mode: true
  draft-mode: unlinked
  # announcement:
  #   icon: info-circle
  #   dismissable: true
  #   content: "This is complete WIP."
  #   type: primary
  #   position: below-navbar
  open-graph: true
execute:
  enable: false
format:
  html:
    email-obfuscation: javascript
    lightbox: true
    code-overflow: wrap
    theme:
      light: [sandstone, styles.scss]
      dark: [superhero, styles.scss]
    highlight-style:
      light: espresso.theme
      dark: gruvbox-dark.theme
    respect-user-color-scheme: true
    toc: true
    toc-location: right # table of contents links (oder rechts)
    link-external-icon: true # externe links markieren
    link-external-newwindow: true # externe linkn in neuem Fenster öffnen
    citation-location: document
    reference-location: margin # fußnoten im Margin (falls gewünscht)
    mermaid:
      theme: default
